"use strict";
// SPDX-FileCopyrightText: © 2022 Schneider Electric
//
// SPDX-License-Identifier: LGPL-2.1-only
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.themeNameTransform = exports.platformNameTransform = void 0;
const style_dictionary_1 = __importDefault(require("style-dictionary"));
const { transformer: defaultTransformer } = style_dictionary_1.default.transform['name/cti/snake'];
exports.platformNameTransform = {
    type: 'name',
    name: 'qds/name/platform/android',
    transformer: (token) => defaultTransformer(token, { prefix: 'qds' }),
};
exports.themeNameTransform = {
    type: 'name',
    name: 'qds/name/theme/android',
    transformer: (token) => defaultTransformer(token, { prefix: 'qds_theme' }),
};
