"use strict";
// SPDX-FileCopyrightText: © 2022 Schneider Electric
//
// SPDX-License-Identifier: LGPL-2.1-only
Object.defineProperty(exports, "__esModule", { value: true });
const utils_js_1 = require("../utils.js");
const TOKEN_PATH_PATTERN_BLUR = 'blur';
const transform = {
    type: 'value',
    name: 'qds/blur/css',
    matcher: (token) => token.type === 'other' && token.path.includes(TOKEN_PATH_PATTERN_BLUR),
    transformer: (token) => (0, utils_js_1.toPx)(token.value),
};
exports.default = transform;
