"use strict";
// SPDX-FileCopyrightText: © 2022 Schneider Electric
//
// SPDX-License-Identifier: LGPL-2.1-only
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getTypographyTransform = exports.spacingTransform = exports.sizingTransform = exports.themeNameTransform = exports.platformNameTransform = exports.durationTransform = exports.dropShadowTransform = exports.breakpointTransform = exports.borderWidthTransform = exports.borderRadiusTransform = exports.blurTransform = void 0;
var blur_js_1 = require("./blur.js");
Object.defineProperty(exports, "blurTransform", { enumerable: true, get: function () { return __importDefault(blur_js_1).default; } });
var border_radius_js_1 = require("./border-radius.js");
Object.defineProperty(exports, "borderRadiusTransform", { enumerable: true, get: function () { return __importDefault(border_radius_js_1).default; } });
var border_width_js_1 = require("./border-width.js");
Object.defineProperty(exports, "borderWidthTransform", { enumerable: true, get: function () { return __importDefault(border_width_js_1).default; } });
var breakpoint_js_1 = require("./breakpoint.js");
Object.defineProperty(exports, "breakpointTransform", { enumerable: true, get: function () { return __importDefault(breakpoint_js_1).default; } });
var drop_shadow_js_1 = require("./drop-shadow.js");
Object.defineProperty(exports, "dropShadowTransform", { enumerable: true, get: function () { return __importDefault(drop_shadow_js_1).default; } });
var duration_js_1 = require("./duration.js");
Object.defineProperty(exports, "durationTransform", { enumerable: true, get: function () { return __importDefault(duration_js_1).default; } });
var name_js_1 = require("./name.js");
Object.defineProperty(exports, "platformNameTransform", { enumerable: true, get: function () { return name_js_1.platformNameTransform; } });
Object.defineProperty(exports, "themeNameTransform", { enumerable: true, get: function () { return name_js_1.themeNameTransform; } });
var sizing_js_1 = require("./sizing.js");
Object.defineProperty(exports, "sizingTransform", { enumerable: true, get: function () { return __importDefault(sizing_js_1).default; } });
var spacing_js_1 = require("./spacing.js");
Object.defineProperty(exports, "spacingTransform", { enumerable: true, get: function () { return __importDefault(spacing_js_1).default; } });
var typography_js_1 = require("./typography.js");
Object.defineProperty(exports, "getTypographyTransform", { enumerable: true, get: function () { return __importDefault(typography_js_1).default; } });
