"use strict";
// SPDX-FileCopyrightText: © 2022 Schneider Electric
//
// SPDX-License-Identifier: LGPL-2.1-only
Object.defineProperty(exports, "__esModule", { value: true });
exports.toMs = exports.toRem = exports.toPx = void 0;
const ROOT_FONT_SIZE = 16;
function toPx(value) {
    return `${value}px`;
}
exports.toPx = toPx;
function toRem(value) {
    return `${value / ROOT_FONT_SIZE}rem`;
}
exports.toRem = toRem;
function toMs(value) {
    return `${value}ms`;
}
exports.toMs = toMs;
