"use strict";
// SPDX-FileCopyrightText: © 2022 Schneider Electric
//
// SPDX-License-Identifier: LGPL-2.1-only
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const style_dictionary_1 = __importDefault(require("style-dictionary"));
const { transformer: defaultTransformer } = style_dictionary_1.default.transform['color/UIColorSwift'];
const transform = {
    type: 'value',
    name: 'qds/name/color/ios',
    matcher: (token) => ['color'].includes(token.type) &&
        !token.value.startsWith('linear'),
    transformer: defaultTransformer,
};
exports.default = transform;
