"use strict";
// SPDX-FileCopyrightText: © 2022 Schneider Electric
//
// SPDX-License-Identifier: LGPL-2.1-only
Object.defineProperty(exports, "__esModule", { value: true });
exports.isQuartzPlatform = exports.QuartzPlatform = void 0;
const TOKENSET_PLATFORM_PREFIX = 'platform/';
class QuartzPlatform {
    name;
    nameWithPrefix;
    styleDictionaryTokens;
    constructor(tokenSetName) {
        this.nameWithPrefix = tokenSetName;
        this.name = tokenSetName.replace(TOKENSET_PLATFORM_PREFIX, '');
    }
}
exports.QuartzPlatform = QuartzPlatform;
function isQuartzPlatform(tokenSetName) {
    return tokenSetName.startsWith(TOKENSET_PLATFORM_PREFIX);
}
exports.isQuartzPlatform = isQuartzPlatform;
