"use strict";
// SPDX-FileCopyrightText: © 2022 Schneider Electric
//
// SPDX-License-Identifier: LGPL-2.1-only
Object.defineProperty(exports, "__esModule", { value: true });
exports.isQuartzTheme = exports.QuartzTheme = void 0;
const TOKENSET_THEME_PREFIX = 'theme/';
class QuartzTheme {
    name;
    nameWithPrefix;
    styleDictionaryTokens;
    constructor(tokenSetName) {
        this.nameWithPrefix = tokenSetName;
        this.name = tokenSetName.replace(TOKENSET_THEME_PREFIX, '');
    }
}
exports.QuartzTheme = QuartzTheme;
function isQuartzTheme(tokenSetName) {
    return tokenSetName.startsWith(TOKENSET_THEME_PREFIX);
}
exports.isQuartzTheme = isQuartzTheme;
