"use strict";
// SPDX-FileCopyrightText: © 2022 Schneider Electric
//
// SPDX-License-Identifier: LGPL-2.1-only
Object.defineProperty(exports, "__esModule", { value: true });
const utils_js_1 = require("../utils.js");
const transform = {
    type: 'value',
    name: 'qds/sizing/css',
    matcher: (token) => token.type === 'sizing',
    transformer: (token) => (0, utils_js_1.toRem)(token.value),
};
exports.default = transform;
